Subject: plant virology

From: [email-masked] (INVU311)
Date: 3 Oct 1995 17:54:24 -0400

I am a HS senior doing an AP project on plant viruses and would like some
help or information about interesting or puzzling phenomena on this topic.
In other words, if you have any ideas on What I should research, it would
help.....